# PSF-LoginServer - master - net.psforever.objects.serverobject.pad.VehicleSpawnPad
PSF - LoginServer - master - net.psforever.objects.serverobject.pad.VehicleSpawnPad
Keywords: PSF LoginServer master net.psforever.objects.serverobject.pad.VehicleSpawnPad

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package pad
  Definition Classes
    serverobject
-  package process
  Definition Classes
    pad
- VehicleSpawnControl
- VehicleSpawnPad
- VehicleSpawnPadDefinition

o

net.psforever.objects.serverobject.pad

# VehicleSpawnPad 

###
Companion class VehicleSpawnPad

#### object VehicleSpawnPad

Source
  VehicleSpawnPad.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleSpawnPad
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class AttachToRails (vehicle: Vehicle, pad: VehicleSpawnPad) extends Product with Serializable

   Message to attach the vehicle to the spawn pad's lifting platform ("put on rails").

   Message to attach the vehicle to the spawn pad's lifting platform ("put on rails"). The attachment process (to the third slot) itself begins autonomous operation of the lifting platform.

   vehicle

     the vehicle being spawned

   pad

     the spawn pad

   See also

     `ObjectAttachMessage`

2.  final case class ConcealPlayer (player_guid: PlanetSideGUID) extends Product with Serializable

   Message to indicate that a certain player should be made transparent.

   Message to indicate that a certain player should be made transparent.

   player_guid

     the player

   See also

     `GenericObjectActionMessage`

3.  final case class DetachFromRails (vehicle: Vehicle, pad: VehicleSpawnPad) extends Product with Serializable

   Message to detach the vehicle from the spawn pad's lifting platform ("put on rails").

   Message to detach the vehicle from the spawn pad's lifting platform ("put on rails").

   vehicle

     the vehicle being spawned

   pad

     the spawn pad

   See also

     `ObjectDetachMessage`

4.  final case class DisposeVehicle (vehicle: Vehicle) extends Product with Serializable

   Message to initiate the process of properly disposing of the vehicle that may have been or was spawned into the game world.

   Message to initiate the process of properly disposing of the vehicle that may have been or was spawned into the game world.

   vehicle

     the vehicle

5.  final case class PeriodicReminder (driver_name: String, reason: Reminders.Value, data: Option[Any] = None) extends Product with Serializable

   Message to send targeted messages to the clients of specific users.

   Message to send targeted messages to the clients of specific users.

   driver_name

     the person who will drive the vehicle

   reason

     the nature of the message

   data

     optional information for rendering the message to the client

6.  final case class PlayerSeatedInVehicle (driver_name: String, vehicle: Vehicle, pad: VehicleSpawnPad) extends Product with Serializable

   Message that acts as callback to the driver that the process of sitting in the driver mount should be finished.

   Message that acts as callback to the driver that the process of sitting in the driver mount should be finished. This information should only be communicated to the driver's client only.

   driver_name

     the person who will drive the vehicle

   vehicle

     the vehicle being spawned

   pad

     the spawn pad

7.  final case class ResetSpawnPad (pad: VehicleSpawnPad) extends Product with Serializable

   Message that resets the spawn pad for its next order fulfillment operation by lowering the lifting platform.

   Message that resets the spawn pad for its next order fulfillment operation by lowering the lifting platform.

   pad

     the spawn pad

   See also

     `GenericObjectActionMessage`

8.  final case class RevealPlayer (player_guid: PlanetSideGUID) extends Product with Serializable

   Message is intended to undo the effects of the above message, `ConcealPlayer`.

   Message is intended to undo the effects of the above message, `ConcealPlayer`.

   player_guid

     the player

   See also

     `ConcealPlayer`

9.  final case class ServerVehicleOverrideEnd (driver_name: String, vehicle: Vehicle, pad: VehicleSpawnPad) extends Product with Serializable

   Message that transitions the newly-spawned vehicle into a cancellable auto-drive state.

   Message that transitions the newly-spawned vehicle into a cancellable auto-drive state. Information about the driving process is available on the vehicle itself. This information should only be communicated to the driver's client only.

   driver_name

     the person who will drive the vehicle

   vehicle

     the vehicle

   pad

     the spawn pad

   See also

     `VehicleDefinition`

10.  final case class ServerVehicleOverrideStart (driver_name: String, vehicle: Vehicle, pad: VehicleSpawnPad) extends Product with Serializable

    Message that starts the newly-spawned vehicle to begin driving away from the spawn pad.

    Message that starts the newly-spawned vehicle to begin driving away from the spawn pad. Information about the driving process is available on the vehicle itself. This information should only be communicated to the driver's client only.

    driver_name

      the person who will drive the vehicle

    vehicle

      the vehicle

    pad

      the spawn pad

    See also

      `VehicleDefinition`

11.  final case class StartPlayerSeatedInVehicle (driver_name: String, vehicle: Vehicle, pad: VehicleSpawnPad) extends Product with Serializable

    Message that acts as callback to the driver that the process of sitting in the driver mount will be initiated soon.

    Message that acts as callback to the driver that the process of sitting in the driver mount will be initiated soon. This information should only be communicated to the driver's client only.

    driver_name

      the person who will drive the vehicle

    vehicle

      the vehicle being spawned

    pad

      the spawn pad

12.  final case class VehicleOrder (player: Player, vehicle: Vehicle, terminal: Terminal) extends Product with Serializable

    Message to the spawn pad to enqueue the following vehicle order.

    Message to the spawn pad to enqueue the following vehicle order. This is the entry point to vehicle spawn pad functionality.

    player

      the player who submitted the order (the "owner")

    vehicle

      the vehicle produced from the order

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Constructor(pos: Vector3, pdef: VehicleSpawnPadDefinition, orient: Vector3)(id: Int, context: ActorContext): VehicleSpawnPad

   Instantiate and configure a `VehicleSpawnPad` object

   Instantiate and configure a `VehicleSpawnPad` object

   pos

     the position (used to determine spawn point)

   pdef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

   orient

     the orientation (used to indicate spawn direction)

   id

     the unique id that will be assigned to this entity

   context

     a context to allow the object to properly set up `ActorSystem` functionality

   returns

     the `VehicleSpawnPad` object

5.  def apply(spDef: VehicleSpawnPadDefinition): VehicleSpawnPad

   Overloaded constructor.

   Overloaded constructor.

   spDef

     the spawn pad's definition entry

   returns

     a `VehicleSpawnPad` object

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
22.  object Reminders extends Enumeration

    An `Enumeration` of reasons for sending a periodic reminder to the user.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped